Skip to content
AI Security
Search
K
Main Navigation
App
Appearance
Menu
Return to top
Get system provider.
​
GET
/backend/v1/providers/system/{systemProvider}
Retrieves a system provider by ID or name.
Authorizations
​
HTTPBearer
Type
HTTP (bearer)
Parameters
​
Path Parameters
systemProvider
*
Required
Responses
​
200
422
Successful Response
Content-Type
application/json
Schema
JSON
JSON
{
 Â
"provider"
:
{
 Â
 Â
"authTemplate"
:
null
,
 Â
 Â
"availability"
:
{
 Â
 Â
 Â
"global"
:
false
,
 Â
 Â
 Â
"projectIds"
:
[
 Â
 Â
 Â
 Â
[
 Â
 Â
 Â
 Â
]
 Â
 Â
 Â
]
 Â
 Â
}
,
 Â
 Â
"capabilities"
:
[
 Â
 Â
 Â
"string"
 Â
 Â
]
,
 Â
 Â
"hasLogo"
:
false
,
 Â
 Â
"id"
:
"string"
,
 Â
 Â
"inputs"
:
{
 Â
 Â
 Â
"additionalProperties"
:
"string"
 Â
 Â
}
,
 Â
 Â
"maxRequestsPerSecond"
:
0
,
 Â
 Â
"name"
:
"string"
,
 Â
 Â
"projectId"
:
"string"
,
 Â
 Â
"redTeam"
:
false
,
 Â
 Â
"requestConcurrencyLimit"
:
{
 Â
 Â
 Â
"decayPerSecond"
:
0
,
 Â
 Â
 Â
"requests"
:
0
 Â
 Â
}
,
 Â
 Â
"secrets"
:
{
 Â
 Â
 Â
"additionalProperties"
:
"string"
 Â
 Â
}
,
 Â
 Â
"siem"
:
false
,
 Â
 Â
"systemProviderId"
:
"string"
,
 Â
 Â
"tag"
:
"string"
,
 Â
 Â
"template"
:
{
 Â
 Â
 Â
"awsAuth"
:
{
 Â
 Â
 Â
 Â
"accessKey"
:
"string"
,
 Â
 Â
 Â
 Â
"region"
:
"string"
,
 Â
 Â
 Â
 Â
"secretKey"
:
"string"
,
 Â
 Â
 Â
 Â
"service"
:
"string"
,
 Â
 Â
 Â
 Â
"token"
:
"string"
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"body"
:
"string"
,
 Â
 Â
 Â
"headers"
:
{
 Â
 Â
 Â
 Â
"additionalProperties"
:
"string"
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"json"
:
"string"
,
 Â
 Â
 Â
"method"
:
"string"
,
 Â
 Â
 Â
"ociAuth"
:
{
 Â
 Â
 Â
 Â
"keyId"
:
"string"
,
 Â
 Â
 Â
 Â
"passphrase"
:
"string"
,
 Â
 Â
 Â
 Â
"privateKeyPem"
:
"string"
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"outputs"
:
{
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"queryParams"
:
{
 Â
 Â
 Â
 Â
"additionalProperties"
:
"string"
 Â
 Â
 Â
}
,
 Â
 Â
 Â
"timeout"
:
20
,
 Â
 Â
 Â
"type"
:
"request"
,
 Â
 Â
 Â
"url"
:
"string"
 Â
 Â
}
,
 Â
 Â
"type"
:
"string"
 Â
}
}
GET
/backend/v1/providers/system/{systemProvider}
Playground
​
Server
Select a server...
Authorization
HTTPBearer
Variables
Key
Value
systemProvider
*
Try it out
Samples
​
Powered by
VitePress OpenAPI